#pragma once
#include "MyFrame.h"
#include "mof/Texture.h"
#include "BattleData.h"

namespace et{

	class IdealMenu : public MyFrame
	{
		mof::Window* addSelectableTextItem(mof::Window* pOwner , std::vector<mof::Window*>& selectables , TCHAR* text , int size);
		
		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
		et::BattleData* m_pBattleData;
	
	public:
		IdealMenu(mof::TextureManager* pTextureManager , et::BattleData* pBattleData);
		virtual ~IdealMenu(void);
		virtual void setVisible(bool visible);
		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual MyFrame* performAction();
	};


};